Title: RPM spec file has old config_binsuffix value
Type: Stage: patch review
Components: Build Versions: Python 3.4, Python 3.3, Python 3.2, Python 2.7
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, dmalcolm, jafo, ncoghlan, taavi-burns
Priority: normal Keywords: patch

Created on 2013-01-25 15:53 by taavi-burns, last changed 2015-02-18 14:01 by benjamin.peterson. This issue is now closed.

File name Uploaded Description Edit
python-2.7.spec.diff taavi-burns, 2013-01-25 15:53 review
python-3.3.spec.diff taavi-burns, 2013-01-25 15:53 review
Messages (5)
msg180596 - (view) Author: Taavi Burns (taavi-burns) Date: 2013-01-25 15:53
Looking at the Misc/RPM/python-X.X.spec files, they seem to be slightly out of date. Near the top of the file is a config_binsuffix configuration setting that is "2.6" for both the 2.7 and 3.3 branches!

I suspect that it should be updated with the version and libvers variables a bit later in the file.
msg180597 - (view) Author: Taavi Burns (taavi-burns) Date: 2013-01-25 15:53
The diff against 3.3.
msg180645 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-01-26 07:15
Do we even *use* the spec file in Misc/RPM for anything any more? Should we just delete the entire directory?

(Added Sean and Dave Malcolm to the nosy list)
msg182413 - (view) Author: Taavi Burns (taavi-burns) Date: 2013-02-19 19:48
I'm not sure my vote means much, but the spec file didn't work for me on CentOS 5 anyway (weird issue with the -dev RPM trying to find "python2.72.7"). I think I'd prefer a README with suggested places to look for a working spec file than have this "blessed"-but-broken one in the source treeā€¦
msg236172 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2015-02-18 14:01
We just removed the spec file.
Date User Action Args
2015-02-18 14:01:34benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg236172

resolution: out of date
2013-02-19 19:48:31taavi-burnssetmessages: + msg182413
2013-01-26 07:15:32ncoghlansetnosy: + jafo, dmalcolm
messages: + msg180645
2013-01-25 19:39:55eric.araujosetnosy: + ncoghlan
stage: patch review

versions: + Python 3.2, Python 3.4
2013-01-25 15:53:57taavi-burnssetfiles: + python-3.3.spec.diff

messages: + msg180597
2013-01-25 15:53:33taavi-burnscreate